Get Guard Rail
curl --request GET \
--url https://api.bland.ai/v1/guard_rails/{guard_rail_id} \
--header 'authorization: <authorization>'import requests
url = "https://api.bland.ai/v1/guard_rails/{guard_rail_id}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.bland.ai/v1/guard_rails/{guard_rail_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"org_id": "12345678-1234-1234-1234-123456789012",
"type": "custom",
"name": "No Medical Advice",
"description": "Prevents the agent from providing medical advice",
"prompt": "Flag if the agent provides any medical advice, diagnosis, or treatment recommendations",
"config": {},
"attachments": [
{
"source_type": "PERSONA",
"source_id": "98765432-1234-1234-1234-123456789012",
"actions": [
{ "type": "transfer", "config": { "phone_number": "+15551234567" } }
]
}
],
"created_at": "2025-01-15T10:30:00.000Z",
"updated_at": "2025-01-15T10:30:00.000Z"
},
"errors": null
}
{
"data": null,
"errors": [
{
"error": "NOT_FOUND",
"message": "Guard rail not found"
}
]
}
Guard Rails
Get Guard Rail
Retrieve a specific guard rail by ID.
GET
/
v1
/
guard_rails
/
{guard_rail_id}
Get Guard Rail
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The unique identifier of the guard rail to retrieve.
Response
object
The guard rail object.
string
Unique identifier for the guard rail.
string
Organization ID that owns this guard rail.
string
Type of guard rail. One of:
tcpa:ai_disclosure, tcpa:recording_disclosure, tcpa:self_introduction, tcpa:opt_out, or custom.string
Name of the guard rail (for custom guard rails).
string
Description of the guard rail (for custom guard rails).
string
Detection prompt (only for custom guard rails).
object
Configuration object. For TCPA time-based guard rails, contains
end_seconds.array
Array of sources this guard rail is attached to. Each attachment contains
source_type (PERSONA, PATHWAY, or INBOUND), source_id, and actions.string
ISO 8601 timestamp of when the guard rail was created.
string
ISO 8601 timestamp of when the guard rail was last modified.
array
Any errors that occurred (null if none).
{
"data": {
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"org_id": "12345678-1234-1234-1234-123456789012",
"type": "custom",
"name": "No Medical Advice",
"description": "Prevents the agent from providing medical advice",
"prompt": "Flag if the agent provides any medical advice, diagnosis, or treatment recommendations",
"config": {},
"attachments": [
{
"source_type": "PERSONA",
"source_id": "98765432-1234-1234-1234-123456789012",
"actions": [
{ "type": "transfer", "config": { "phone_number": "+15551234567" } }
]
}
],
"created_at": "2025-01-15T10:30:00.000Z",
"updated_at": "2025-01-15T10:30:00.000Z"
},
"errors": null
}
{
"data": null,
"errors": [
{
"error": "NOT_FOUND",
"message": "Guard rail not found"
}
]
}
Docs for agents: llms.txt
Was this page helpful?